​

Delete record

DELETE
https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}/records/{record_id}

Soft-deletes the record (condition=removed).

Path parameters
NameTypeReference
directory_idrequiredstringDirectory ID
record_idrequiredstringRecord ID
Headers
NameValue
Content-Typeapplication/json
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

string

Record ID (UUID)
condition

enum

Record condition: removed
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundObject
Open

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request DELETE \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}/records/{record_id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!